Skip to content
Skip to main content
GET
https://api.us.nylas.com/v3/iam/principals/{principal_id}/credentials

List IAM credentials

Lists a principal's API keys.

The response never includes a key's secret. To get the next page, pass next_cursor as page_token. When a response doesn't include next_cursor, there are no more results.

Requires an IAM API key with the iam.credentials.read permission. Application API keys and access tokens don't work.

Parameters

Path parameters

principal_id*string

The principal's ID.

Query parameters

limitinteger

The maximum number of results per page.

Default: 50
page_tokenstring

The next_cursor value from the previous response.

Responses

request_idstring

The ID of the request.

dataarray<object>
next_cursorstring

The cursor for the next page. Pass it as page_token. Not included on the last page.

GEThttps://api.us.nylas.com/v3/iam/principals/{principal_id}/credentials?limit=50

Paste the authorization token required for this endpoint.

principal_idrequiredstring

The principal's ID.

limitinteger

The maximum number of results per page.

page_tokenstring

The next_cursor value from the previous response.